Make WordPress Core

Changeset 50996 for trunk/package.json


Ignore:
Timestamp:
05/25/2021 08:38:04 AM (8 months ago)
Author:
noisysocks
Message:

Adds the widgets block editor to widgets.php and customize.php

Moves the widgets block editor from Gutenberg into WordPress Core.

  • Adds @wordpress/edit-widgets, @wordpress/customize-widgets and @wordpress/widgets.
  • Modifies wp-admin/widgets.php to branch between the old editor and new editor depending on wp_use_widgets_block_editor().
  • Modifies WP_Customize_Widgets to branch between the old editor control and new editor control depending on wp_use_widgets_block_editor().

Fixes #51506.
Props isabel_brison, TimothyBlynJacobs, andraganescu, kevin940726, talldanwp.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/package.json

    r50945 r50996  
    8383        "@wordpress/autop": "3.1.0",
    8484        "@wordpress/blob": "3.1.0",
    85         "@wordpress/block-directory": "2.1.0",
     85        "@wordpress/block-directory": "2.1.2",
    8686        "@wordpress/block-editor": "6.1.0",
    87         "@wordpress/block-library": "3.1.0",
     87        "@wordpress/block-library": "3.2.1",
    8888        "@wordpress/block-serialization-default-parser": "4.1.0",
    8989        "@wordpress/blocks": "9.1.0",
    9090        "@wordpress/components": "14.1.0",
    9191        "@wordpress/compose": "4.1.0",
    92         "@wordpress/core-data": "3.1.0",
     92        "@wordpress/core-data": "3.1.1",
     93        "@wordpress/customize-widgets": "1.0.1",
    9394        "@wordpress/data": "5.1.0",
    9495        "@wordpress/data-controls": "2.1.0",
     
    9798        "@wordpress/dom": "3.1.0",
    9899        "@wordpress/dom-ready": "3.1.0",
    99         "@wordpress/edit-post": "4.1.0",
    100         "@wordpress/editor": "10.1.0",
     100        "@wordpress/edit-post": "4.1.2",
     101        "@wordpress/edit-widgets": "2.1.2",
     102        "@wordpress/editor": "10.1.1",
    101103        "@wordpress/element": "3.1.0",
    102104        "@wordpress/escape-html": "2.1.0",
     
    118120        "@wordpress/priority-queue": "2.1.0",
    119121        "@wordpress/redux-routine": "4.1.0",
    120         "@wordpress/reusable-blocks": "2.1.0",
     122        "@wordpress/reusable-blocks": "2.1.1",
    121123        "@wordpress/rich-text": "4.1.0",
    122124        "@wordpress/server-side-render": "2.1.0",
     
    126128        "@wordpress/viewport": "3.1.0",
    127129        "@wordpress/warning": "2.1.0",
     130        "@wordpress/widgets": "1.1.1",
    128131        "@wordpress/wordcount": "3.1.0",
    129132        "backbone": "1.4.0",
Note: See TracChangeset for help on using the changeset viewer.